This site makes extensive use of the Flash plugin. You either do not have the plugin installed correctly or you need to upgrade your Flash Player. If you need the plugin, you can get it at the link below:
http://www.adobe.com/shockwave/download/

noscript

If you are sure you have the correct version plugin installed you can bypass the Flash Plugin detection if you wish.